Bug 1288730 - postgresql: README.rpm-dist incorrect about running postgresql-setup
postgresql: README.rpm-dist incorrect about running postgresql-setup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 12:30 EST by Florian Weimer
Modified: 2016-11-24 09:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:10:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-12-05 12:30:00 EST
README.rpm-dist contains this advice:

   For a fresh installation, you will need to initialize the cluster first
   (as a postgres user):

         $ postgresql-setup --initdb

But:

-bash-4.3$ whoami
postgres
-bash-4.3$ postgresql-setup --initdb
FATAL: /usr/bin/postgresql-setup requires root access for this action
-bash-4.3$ rpm -q postgresql-server
postgresql-server-9.4.5-1.fc23.x86_64
Comment 1 Pavel Raiskup 2015-12-05 17:36:36 EST
Thanks for the report, I fixed this in git some time ago:
https://fedorapeople.org/cgit/praiskup/public_git/postgresql-setup.git/commit/?id=fc8fbf5120dba6ff

I don't think it is worth doing respin -- if it is OK, I would wait for
the next PostgreSQL update in 23.

Pavel, would you be OK with moving postgresql-setup to v3.5 in rawhide
sooner?
Comment 2 Pavel Kajaba 2015-12-09 03:46:23 EST
Yes, I see no problem.
Comment 3 Fedora End Of Life 2016-11-24 08:59:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Pavel Raiskup 2016-11-24 09:10:21 EST
Fixed F24+, sorry for not fixing this for F23, there were race condition
in "ownership" of this bug.
Comment 5 Florian Weimer 2016-11-24 09:26:40 EST
(In reply to Pavel Raiskup from comment #4)
> Fixed F24+, sorry for not fixing this for F23, there were race condition
> in "ownership" of this bug.

No problem, thanks!

Note You need to log in before you can comment on or make changes to this bug.